Bug 1275860 - vdirsyncer-0.8.1 is available
vdirsyncer-0.8.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vdirsyncer (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michele Baldessari
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1303430 1303432
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2015-10-27 20:17 EDT by Upstream Release Monitoring
Modified: 2016-02-22 20:24 EST (History)
4 users (show)

See Also:
Fixed In Version: vdirsyncer-0.8.1-1.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 20:24:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 0.7.0 (#1275860) (1.04 KB, patch)
2015-10-27 20:17 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.7.3 (#1275860) (1.04 KB, patch)
2015-11-10 08:02 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.7.5 (#1275860) (1.04 KB, patch)
2016-01-07 21:31 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.8.0 (#1275860) (1.04 KB, patch)
2016-01-27 19:29 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.8.1 (#1275860) (1.04 KB, patch)
2016-01-31 07:43 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-10-27 20:17:46 EDT
Latest upstream release: 0.7.0
Current version/release in rawhide: 0.6.0-2.fc24
URL: https://github.com/untitaker/vdirsyncer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-27 20:17:56 EDT
Created attachment 1087107 [details]
[patch] Update to 0.7.0 (#1275860)
Comment 2 Upstream Release Monitoring 2015-10-27 20:20:52 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11605736
Comment 3 Ben Boeckel 2015-10-28 22:43:40 EDT
Needs two new packages: python-click-log and python-click-threading.
Comment 4 Ben Boeckel 2015-10-28 22:44:29 EDT
Fedora 22's python-click is also too old.
Comment 5 Upstream Release Monitoring 2015-11-10 08:02:48 EST
Latest upstream release: 0.7.3
Current version/release in rawhide: 0.6.0-2.fc24
URL: https://github.com/untitaker/vdirsyncer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 6 Upstream Release Monitoring 2015-11-10 08:02:57 EST
Created attachment 1092260 [details]
[patch] Update to 0.7.3 (#1275860)
Comment 7 Upstream Release Monitoring 2015-11-10 08:22:30 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11770921
Comment 8 Michele Baldessari 2015-11-28 15:17:01 EST
I made some draft packages for the two new dependencies:
http://acksyn.org/files/rpms/python-click-threading/
http://acksyn.org/files/rpms/python-click-log/

Will play with the new vdirsyncer (0.7.3) for a bit and then submit proper review requests.
Comment 9 Upstream Release Monitoring 2016-01-07 21:31:03 EST
Latest upstream release: 0.7.5
Current version/release in rawhide: 0.6.0-2.fc24
URL: https://github.com/untitaker/vdirsyncer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 10 Upstream Release Monitoring 2016-01-07 21:31:13 EST
Created attachment 1112713 [details]
[patch] Update to 0.7.5 (#1275860)
Comment 11 Upstream Release Monitoring 2016-01-07 21:43:05 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12459611
Comment 12 Upstream Release Monitoring 2016-01-27 19:29:40 EST
Latest upstream release: 0.8.0
Current version/release in rawhide: 0.6.0-2.fc24
URL: https://github.com/untitaker/vdirsyncer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 13 Upstream Release Monitoring 2016-01-27 19:29:49 EST
Created attachment 1118954 [details]
[patch] Update to 0.8.0 (#1275860)
Comment 14 Upstream Release Monitoring 2016-01-27 19:36:32 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12705898
Comment 15 Upstream Release Monitoring 2016-01-31 07:43:20 EST
Latest upstream release: 0.8.1
Current version/release in rawhide: 0.6.0-2.fc24
URL: https://github.com/untitaker/vdirsyncer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 16 Upstream Release Monitoring 2016-01-31 07:43:29 EST
Created attachment 1119859 [details]
[patch] Update to 0.8.1 (#1275860)
Comment 17 Upstream Release Monitoring 2016-01-31 07:51:34 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12757310
Comment 18 Michele Baldessari 2016-01-31 12:42:14 EST
Ben, would you have some time to review the two new review requests to unblock
this BZ? If not, no worries, I'll poke around ;)
Comment 19 Petr Viktorin 2016-02-12 04:11:23 EST
Hi,
Just a reminder: since the new version has Python3 support, so when you update, please switch to it or at least include a Python3 subpackage.

If you need any help with that, let me know; I'll be happy to help!


Python packaging guidelines: https://fedoraproject.org/wiki/Packaging:Python
Comment 20 Michele Baldessari 2016-02-12 07:57:00 EST
Hi Petr,

yes I will definitely switch to python3 in rawhide.
I will do the update in f23 as well, but likely leave it on python2. It
will depend a bit how my testing goes.

Should tackle this this weekend
Comment 21 Upstream Release Monitoring 2016-02-12 14:17:03 EST
mbaldessari's vdirsyncer-0.8.1-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=735432
Comment 22 Fedora Update System 2016-02-12 16:49:10 EST
python-click-threading-0.1.2-2.fc23 python-click-log-0.1.3-3.fc23 vdirsyncer-0.8.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-05ab2257b7
Comment 23 Upstream Release Monitoring 2016-02-13 05:06:56 EST
mbaldessari's vdirsyncer-0.8.1-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=735514
Comment 24 Michele Baldessari 2016-02-13 05:10:08 EST
So it is done. update on f23 is still python2, rawhide switched to python3
Comment 25 Fedora Update System 2016-02-15 00:24:23 EST
python-click-log-0.1.3-3.fc23, python-click-threading-0.1.2-2.fc23, vdirsyncer-0.8.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-05ab2257b7
Comment 26 Petr Viktorin 2016-02-15 04:13:45 EST
Woohoo! Thanks! :)
Comment 27 Fedora Update System 2016-02-22 20:24:21 EST
python-click-log-0.1.3-3.fc23, python-click-threading-0.1.2-2.fc23, vdirsyncer-0.8.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.